Bug 1485907 - Review Request: rubygem-rack-attack - Block & throttle abusive requests
Summary: Review Request: rubygem-rack-attack - Block & throttle abusive requests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1483986
TreeView+ depends on / blocked
 
Reported: 2017-08-28 12:16 UTC by František Dvořák
Modified: 2017-10-04 22:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-04 14:19:51 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description František Dvořák 2017-08-28 12:16:32 UTC
Spec URL: http://scientific.zcu.cz/fedora/rubygem-rack-attack-5.0.1-1/rubygem-rack-attack.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-rack-attack-5.0.1-1/rubygem-rack-attack-5.0.1-1.fc28.src.rpm
Description: A rack middleware for throttling and blocking abusive requests.
Fedora Account System Username: valtri

COPR build: https://copr.fedorainfracloud.org/coprs/valtri/ruby/build/594671/

Comment 1 Robert-André Mauchin 2017-08-28 16:53:19 UTC
Hello,


The Group: tag is not used in Fedora. See: https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections


Otherwise, the package is good, it is accepted.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 30 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/rubygem-rack-
     attack/review-rubygem-rack-attack/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     rack-attack-doc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Gem package should exclude cached Gem.
[x]: Gem should use %gem_install macro.
[x]: gems should not require rubygems package
[x]: Specfile should use macros from rubygem-devel package.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-rack-attack-5.0.1-1.fc28.noarch.rpm
          rubygem-rack-attack-doc-5.0.1-1.fc28.noarch.rpm
          rubygem-rack-attack-5.0.1-1.fc28.src.rpm
rubygem-rack-attack.noarch: W: spelling-error %description -l en_US middleware -> middle ware, middle-ware, middleweight
rubygem-rack-attack.noarch: W: no-documentation
rubygem-rack-attack.src: W: spelling-error %description -l en_US middleware -> middle ware, middle-ware, middleweight
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 2 František Dvořák 2017-08-28 20:16:26 UTC
(In reply to Robert-André Mauchin from comment #1)
> 
> The Group: tag is not used in Fedora. See:
> https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections
> 

You're right, it can be removed. (I've been using it just for cosmetics - it has been in gem2rpm templates yet, but it is now removed since F26).

Thanks for the review!

Comment 3 Gwyn Ciesla 2017-08-29 12:23:14 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rubygem-rack-attack

Comment 4 Fedora Update System 2017-08-31 05:53:13 UTC
rubygem-rack-attack-5.0.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8e5d1b878a

Comment 5 Fedora Update System 2017-08-31 05:53:50 UTC
rubygem-rack-attack-5.0.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-883608478a

Comment 6 Fedora Update System 2017-08-31 05:54:21 UTC
rubygem-rack-attack-5.0.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-626407a24d

Comment 7 Fedora Update System 2017-09-01 03:52:05 UTC
rubygem-rack-attack-5.0.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-626407a24d

Comment 8 Fedora Update System 2017-09-01 04:22:05 UTC
rubygem-rack-attack-5.0.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8e5d1b878a

Comment 9 Fedora Update System 2017-09-01 11:57:22 UTC
rubygem-rack-attack-5.0.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-883608478a

Comment 10 Fedora Update System 2017-10-04 14:19:51 UTC
rubygem-rack-attack-5.0.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-10-04 22:18:06 UTC
rubygem-rack-attack-5.0.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-10-04 22:21:12 UTC
rubygem-rack-attack-5.0.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.